Swap Channels
Data Exchange and Initialization

Functions for swapping and duplicating channels in multiple channel images. More...

## Functions

NppStatus | nppiSwapChannels_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_8u_C3IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned integer in place image. More...
NppStatus | nppiSwapChannels_8u_C3IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_8u_C4C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_8u_C4C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_8u_C4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer in place image. More...
NppStatus | nppiSwapChannels_8u_C4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_8u_C3C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp8u nValue, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_8u_C3C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp8u nValue)
NppStatus | nppiSwapChannels_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer source image to 4 channel destination image with destination alpha channel unaffected. More...
NppStatus | nppiSwapChannels_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16u_C3IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned integer in place image. More...
NppStatus | nppiSwapChannels_16u_C3IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16u_C4C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_16u_C4C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_16u_C4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer in place image. More...
NppStatus | nppiSwapChannels_16u_C4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_16u_C3C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp16u nValue, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_16u_C3C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp16u nValue)
NppStatus | nppiSwapChannels_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer source image to 4 channel destination image with destination alpha channel unaffected. More...
NppStatus | nppiSwapChannels_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16s_C3IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed integer in place image. More...
NppStatus | nppiSwapChannels_16s_C3IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16s_C4C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_16s_C4C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_16s_C4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer in place image. More...
NppStatus | nppiSwapChannels_16s_C4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_16s_C3C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp16s nValue, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_16s_C3C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp16s nValue)
NppStatus | nppiSwapChannels_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer source image to 4 channel destination image with destination alpha channel unaffected. More...
NppStatus | nppiSwapChannels_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_32s_C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32s_C3IR_Ctx (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed integer in place image. More...
NppStatus | nppiSwapChannels_32s_C3IR (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32s_C4C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_32s_C4C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_32s_C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_32s_C4IR_Ctx (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer in place image. More...
NppStatus | nppiSwapChannels_32s_C4IR (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_32s_C3C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp32s nValue, NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed integer source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_32s_C3C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp32s nValue)
NppStatus | nppiSwapChannels_32s_AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer source image to 4 channel destination image with destination alpha channel unaffected. More...
NppStatus | nppiSwapChannels_32s_AC4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32f_C3IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point in place image. More...
NppStatus | nppiSwapChannels_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32f_C4C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point source image to 3 channel destination image. More...
NppStatus | nppiSwapChannels_32f_C4C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])
NppStatus | nppiSwapChannels_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_32f_C4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point in place image. More...
NppStatus | nppiSwapChannels_32f_C4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const int aDstOrder[4])
NppStatus | nppiSwapChannels_32f_C3C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp32f nValue, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point source image to 4 channel destination image. More...
NppStatus | nppiSwapChannels_32f_C3C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[4], const Npp32f nValue)
NppStatus | nppiSwapChannels_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point source image to 4 channel destination image with destination alpha channel unaffected. More...
NppStatus | nppiSwapChannels_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const int aDstOrder[3])

## Detailed Description

Functions for swapping and duplicating channels in multiple channel images.

The methods support arbitrary permutations of the original channels, including replication and setting one or more channels to a constant value.

## Function Documentation

NppStatus nppiSwapChannels_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer source image to 4 channel destination image with destination alpha channel unaffected.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to BGRA channel order. In the AC4R case, the alpha channel is always assumed to be channel 3.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16s_C3C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp16s | nValue
| ) |  |

NppStatus nppiSwapChannels_16s_C3C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp16s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [3,2,1,0] converts this to VBGR channel order.
  nValue | (V) Single channel constant value that can be replicated in one or more of the 4 destination channels. nValue is either written or not written to a particular channel depending on the aDstOrder entry for that destination channel. An aDstOrder value of 3 will output nValue to that channel, an aDstOrder value greater than 3 will leave that particular destination channel value unmodified.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16s_C3IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16s_C3IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16s_C4C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16s_C4C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to a 3 channel BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16s_C4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_16s_C4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer source image to 4 channel destination image with destination alpha channel unaffected.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to BGRA channel order. In the AC4R case, the alpha channel is always assumed to be channel 3.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16u_C3C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp16u | nValue
| ) |  |

NppStatus nppiSwapChannels_16u_C3C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp16u | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [3,2,1,0] converts this to VBGR channel order.
  nValue | (V) Single channel constant value that can be replicated in one or more of the 4 destination channels. nValue is either written or not written to a particular channel depending on the aDstOrder entry for that destination channel. An aDstOrder value of 3 will output nValue to that channel, an aDstOrder value greater than 3 will leave that particular destination channel value unmodified.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16u_C3IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16u_C3IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16u_C4C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_16u_C4C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to a 3 channel BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16u_C4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_16u_C4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point source image to 4 channel destination image with destination alpha channel unaffected.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to BGRA channel order. In the AC4R case, the alpha channel is always assumed to be channel 3.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32f_C3C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp32f | nValue
| ) |  |

NppStatus nppiSwapChannels_32f_C3C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp32f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [3,2,1,0] converts this to VBGR channel order.
  nValue | (V) Single channel constant value that can be replicated in one or more of the 4 destination channels. nValue is either written or not written to a particular channel depending on the aDstOrder entry for that destination channel. An aDstOrder value of 3 will output nValue to that channel, an aDstOrder value greater than 3 will leave that particular destination channel value unmodified.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32f_C3IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | oSizeROI Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32f_C4C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32f_C4C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to a 3 channel BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32f_C4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_32f_C4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer source image to 4 channel destination image with destination alpha channel unaffected.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to BGRA channel order. In the AC4R case, the alpha channel is always assumed to be channel 3.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32s_C3C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp32s | nValue
| ) |  |

NppStatus nppiSwapChannels_32s_C3C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp32s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [3,2,1,0] converts this to VBGR channel order.
  nValue | (V) Single channel constant value that can be replicated in one or more of the 4 destination channels. nValue is either written or not written to a particular channel depending on the aDstOrder entry for that destination channel. An aDstOrder value of 3 will output nValue to that channel, an aDstOrder value greater than 3 will leave that particular destination channel value unmodified.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32s_C3IR | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32s_C3IR_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32s_C4C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_32s_C4C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to a 3 channel BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32s_C4IR | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_32s_C4IR_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer source image to 4 channel destination image with destination alpha channel unaffected.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

  aDstOrder

  Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [3,2,1,0] converts this to VBGR channel order. of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to BGRA channel order. In the AC4R case, the alpha channel is always assumed to be channel 3.

  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_8u_C3C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp8u | nValue
| ) |  |

NppStatus nppiSwapChannels_8u_C3C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | const Npp8u | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [3,2,1,0] converts this to VBGR channel order.
  nValue | (V) Single channel constant value that can be replicated in one or more of the 4 destination channels. nValue is either written or not written to a particular channel depending on the aDstOrder entry for that destination channel. An aDstOrder value of 3 will output nValue to that channel, an aDstOrder value greater than 3 will leave that particular destination channel value unmodified.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_8u_C3IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_8u_C3IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGB image, aDstOrder = [2,1,0] converts this to BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_8u_C4C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3]
| ) |  |

NppStatus nppiSwapChannels_8u_C4C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer source image to 3 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an RGBA image, aDstOrder = [2,1,0] converts this to a 3 channel BGR channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_8u_C4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_8u_C4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer in place image.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSwapChannels_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4]
| ) |  |

NppStatus nppiSwapChannels_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | aDstOrder[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer source image to 4 channel destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aDstOrder | Host memory integer array describing how channel values are permutated. The n-th entry of the array contains the number of the channel that is stored in the n-th channel of the output image. E.g. Given an ARGB image, aDstOrder = [3,2,1,0] converts this to BGRA channel order.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation